LogTo("33AB.log");

groupname := "3.McL.2";
subgroup := "3.McL";

Print("Fusion of conjugacy classes from ", subgroup, " into ", groupname, "\n");

ct1 := CharacterTable(groupname);
ct2 := CharacterTable(subgroup);

fus := FusionConjugacyClasses(ct2, ct1);
if not fus = fail then
  for t in [1..Size(fus)] do
    Print(ClassNames(ct2)[t], " --> ", ClassNames(ct1)[fus[t]], "\n");
  od;
else
  for fus in PossibleClassFusions(ct2, ct1) do
    for t in [1..Size(fus)] do
      Print(ClassNames(ct2)[t], " --> ", ClassNames(ct1)[fus[t]], ";\n");
    od;
    Print("--\n");
  od;
fi;

ct := CharacterTable("3.McL");;                           
Print("--\n3.McL < 3.McL.2 < Ly\n");

Print("The class multiplication coefficient for the classes 33a, 33b, 5a is: ", ClassMultiplicationCoefficient(ct, ct.33a, ct.33b, ct.5a), "\n");
Print("The class multiplication coefficient for the classes 33c, 33d, 5a is: ", ClassMultiplicationCoefficient(ct, ct.33c, ct.33d, ct.5a), "\n");
Print("The square of the class 5a is: ", ClassNames(ct)[PowerMap(ct, 2)[ct.5a]],"\n");

